import { INavItemsProps } from "@reactionable/core/lib/nav/NavItem";
import { INavItemsProviderProps as ICoreNavItemsProviderProps } from "@reactionable/core/lib/nav/NavItemsContextProvider";
import { PropsWithChildren, ReactElement } from "react";
import { INavItemProps } from "../../nav/NavItem";
export declare type INavItemsProviderProps = ICoreNavItemsProviderProps<INavItemsProps<INavItemProps>>;
export declare type ISidebarProps = Partial<INavItemsProviderProps>;
export declare function useSidebarContext(): INavItemsProviderProps;
export declare function SidebarComponent({ children }: PropsWithChildren<ISidebarProps>): ReactElement;
export declare function Sidebar(props: PropsWithChildren<ISidebarProps>): ReactElement;
